<section class="export-map">
  <div class="p-2 d-block fw-bold">
    Ekspor Peta
  </div>
  <hr _ngcontent-xww-c5=""
      class="mt-1 mb-1 divider">
  <div class="map-panel pt-0 px-2 pb-2">
    <div class="card">
      <div class="card-body p-2">
        Ekspor Peta yang ditampilkan ke dalam format pdf, jpg, dan png.
        <br>
        <a routerLink="/help"
           routerLinkActive="active"
           class="fw-bold"
           target="_blank">
          Pelajari selengkapnya
        </a>
      </div>
    </div>

    <label class="p-1 fw-bold mb-0">
      Judul
      <fa-icon [icon]="icon.faInfoCircle"
               class="icon-info"
               ngbTooltip="Judul yang ditampilkan pada Peta yang akan diekspor oleh sistem"></fa-icon>
    </label>
    <input class="inp-title form-control text-white border-0 mb-0 mx-auto"
           type="text"
           placeholder="Judul"
           [(ngModel)]="titleExport"
           (input)="urlDownload = ''" />
    <label class="p-1 fw-bold mb-0">Format</label>

    <div class="dropdown">
      <button class="btn btn-secondary dropdown-toggle text-start w-100"
              type="button"
              id="dropdownMenuButton"
              data-toggle="dropdown"
              data-bs-toggle="dropdown"
              data-bs-display="static"
              aria-haspopup="true"
              aria-expanded="false">
        {{ formatExport | uppercase }}
      </button>
      <div class="dropdown-menu w-100 py-1"
           aria-labelledby="dropdownMenuButton">
           <div class="dropdown-item ps-2 cursor-pointer"
              href="#"
              (click)="setFormatExport('pdf')">PDF</div>
              <div class="dropdown-item ps-2 cursor-pointer"
                 href="#"
                 (click)="setFormatExport('png32')">PNG32</div>
                 <div class="dropdown-item ps-2 cursor-pointer"
                    href="#"
                    (click)="setFormatExport('jpg')">JPG</div>
      </div>
    </div>

    <button class="btn btn-explore form-control btn-success mt-2"
            (click)="toggleExportMap(); $event.stopPropagation()"
            *ngIf="urlDownload === '' && !isLoading">
      EKSPOR PETA
    </button>
    <button class="btn btn-explore form-control btn-success mt-2"
            *ngIf="isLoading">
      <div class="d-flex align-items-center">
        <div class="loading-download spinner-border me-1 text-white"
             role="status">
          <span class="sr-only">Loading...</span>
        </div>
        Mempersiapkan file untuk diunduh
      </div>
    </button>
    <button class="btn btn-explore form-control btn-success mt-2"
            (click)="toggleExportMap(); $event.stopPropagation()"
            *ngIf="urlDownload !== '' && !isLoading">
      Unduh Kembali
    </button>
  </div>
</section>